%global commit0 12ee97835577cbd312678725c8341e71cac0fcbd
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           wlc
Version:        0.0.7
Release:        3.git%{shortcommit0}%{?dist}
Summary:        Wayland compositor library
License:        MIT
URL:            https://github.com/Cloudef/%{name}
Source0:        %{url}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
Patch1:         0001-wlc-Use-eglGetPlatformDisplayEXT-where-available.patch

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-xkb)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(chck)

%description
Wlc is a library for creating Wayland compositors.

%package devel
Summary:        Wayland compositor library development files
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains files useful for software development with wlc,
a Wayland compositor library.

%prep
%autosetup -n %{name}-%{commit0} -p1
mkdir build

%build
pushd build
  %cmake ..
  %make_build
popd

%install
pushd build
  %make_install
popd

%check
pushd build
  ctest -VV
popd

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc README.rst
%{_libdir}/lib%{name}.so.*

%files devel
%doc CONTRIBUTING.rst
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Jan 31 2017 Hans de Goede <hdegoede@redhat.com> - 0.0.7-3.git12ee978
- Add a patch fixing wlc's drm backend not working with glvnd (rhbz#1413579)

* Tue Jan 24 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.0.7-2.git12ee978
- Update to current HEAD

* Wed Oct 26 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.0.7-1
- Update to 0.0.7

* Wed Sep 28 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.0.6-1
- Update to 0.0.6

* Tue Sep 06 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.0.5-2
- Rebuild due to chck rebuild

* Wed Aug 03 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.0.5-1
- Update to 0.0.5

* Tue Aug 02 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.0.4-1
- Update to 0.0.4

* Thu Jul 07 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.0.3-3
- Add missing (optional) Build dependency to wayland-protocols. Thanks Igor for noticing

* Thu Jul 07 2016 Igor Gnatenko <ignatenko@redhat.com> - 0.0.3-2
- Out-of-tree cmake build
- Missing BR: gcc
- Trivial fixes

* Sun May 29 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.0.3-1
- Update to 0.0.3

* Thu May 05 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.0.2-1
- Update to 0.0.2

* Wed Apr 06 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.0.1-1
- Update to first tagged release

* Sun Feb 14 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0-1.20160214gitfbb1c69
- First Fedora version 
